[(#REM) @deprecated 4.1 ENV 'whitelist'. Use 'includelist' instead @deprecated 4.1 ENV 'blacklist'. Use 'excludelist' instead ]#SET{img_unpick, #CHEMIN_IMAGE{supprimer-12.png}} [(#SET{label_supprimer, <:lien_supprimer:>})]
[(#REM) afficher la selection dans un ul class item_picked @param int select 1 => le selecteur se comporte comme un select, avec un seul choix possible @param string name nom de l'input envoye @param string|array selected liste de valeurs sour la forme array("rubrique|9","article|8",...) ou "rubrique|9,article|8,..." @param int afficher_langue ] [(#REM) On commence par chercher la liste des objets disposant d'un sélecteur ] [(#SET{objets, [(#ENV{includelist,#ENV{whitelist,#ARRAY}}|selecteur_lister_objets{#ENV{excludelist,#ENV{blacklist,#ARRAY}}})]})] [(#REM) S'il n'y a qu'un type d'objet affiché et sélectionnable, on ajoute une classe (on fait -1 car il y a toujours la racine dans "afficher" ]

<BOUCLE_selected(DATA){source table, #ENV{selected}|picker_selected}> [(#SET{objet, [(#VALEUR|table_valeur{objet})]})] [(#SET{id_objet, [(#VALEUR|table_valeur{id_objet})]})] [(#GET{id_objet}|=={0}|non)
- [(#ENV{afficher_langue,0}|oui)[[(#INFO_LANG{#GET{objet},#GET{id_objet}})]] ]#INFO_TITRE{#GET{objet},#GET{id_objet}} [(#ENV{select,''}|non|ou{#ENV{obligatoire}|non})[(#GET{img_unpick}|balise_img{'',<:lien_supprimer:>})]],
] [(#GET{id_objet}|=={0}|oui)
- [(#ENV{label_racine,<:info_racine_site:>})] [(#ENV{select,''}|non)[(#GET{img_unpick}|balise_img{'',<:lien_supprimer:>})]],
] </BOUCLE_selected>

#SET{objet, #ENV{objet,racine}} #SET{id_objet, #ENV{id_objet,0}} [(#REM) Si l'objet passé ne fait pas parti des objets adéquats, ou si c'est la racine alors on regarde si on doit forcer la racine sur autre chose, et sinon on retombe sur la racine classique ] [(#GET{objet}|table_objet|in_array{#GET{objets/afficher}}|non) #SET{objet, #ENV{forcer_racine_objet,racine}} #SET{id_objet, #ENV{forcer_racine_id_objet,0}} ] [(#REM) le container item_picker est ici pour etre voisin de item_picked ------]
<INCLURE{fond=formulaires/selecteur/ajax, objets=#GET{objets}, objet=#GET{objet}, id_objet=#GET{id_objet}, ajax, env}>
[(#ENV{sortable,non}|=={oui}|oui)
]